<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Radar{


	//implementamos nuestro constructor
public function __construct(){

}


/*bade de datos
idpagocliente,  idcliente, idformapago, idusuario, idtipopagos, idbancocuenta, 
referencia, fecha_hora, total_pago, retencion, estado

insertar($idpersona,$idformapago,$idusuario,$idtipopagos,$idbancocuenta,$referencia,$fecha_hora,
		$total_pago,$agenteretencion,		
		$_POST["iddocumento"], $_POST["num_comprobante"], $_POST["tipo_comprobante"], $_POST["montod"], $_POST["abono"],
		$_POST["pendiente"], $_POST["estado"], $_POST["pago"])
*/
//metodo insertar regiustro
public function insertar($idcliente,$idusuario,$fecha_hora,$estado){
	$sql = "INSERT INTO radar (idcliente,idusuario,fecha,estado) VALUES('$idcliente','$idusuario','$fecha_hora','$estado')";
//	echo $sql;
	return ejecutarConsulta($sql);
}

public function registarinicioruta($idusuario,$fecha_hora1,$estado){
	$sql = "INSERT INTO radarrutaporvendedor (idusuario,fecha,estado) VALUES('$idusuario','$fecha_hora1','$estado')";
//	echo $sql;
	return ejecutarConsulta($sql);
}

public function registarfinruta($idusuario,$fecha_hora1,$estado){
	$sql = "INSERT INTO radarrutaporvendedor (idusuario,fecha,estado) VALUES('$idusuario','$fecha_hora1','$estado')";
//	echo $sql;
	return ejecutarConsulta($sql);
}

public function buscarestado($idcliente,$idusuario,$fecha){
	$sql ="SELECT estado FROM radar WHERE idcliente='$idcliente' AND fecha='$fecha' AND idusuario='$idusuario'";
	//echo $sql;
	return ejecutarConsulta($sql);
}

public function verificarinicioruta($idusuario,$fecha){
	$sql ="SELECT estado FROM radarrutaporvendedor WHERE fecha='$fecha' AND idusuario='$idusuario' AND estado='inicio' LIMIT 1";
	//echo $sql;
	return ejecutarConsultaSimpleFila($sql);
}


public function editar($idpersona,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email){
	$sql="UPDATE persona SET tipo_persona='$tipo_persona', nombre='$nombre',tipo_documento='$tipo_documento',num_documento='$num_documento',direccion='$direccion',telefono='$telefono',email='$email' 
	WHERE idpersona='$idpersona'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idpersona){
	$sql="DELETE FROM persona WHERE idpersona='$idpersona'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idpersona){
	$sql="SELECT * FROM persona WHERE idpersona='$idpersona'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarp(){
	$sql="SELECT * FROM persona WHERE tipo_persona='Proveedor'";
	return ejecutarConsulta($sql);
}
public function listar(){
	$sql="SELECT * FROM persona WHERE tipo_persona='Cliente'";
	return ejecutarConsulta($sql);
}
}

 ?>
